/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.finishedGrainSupervision.modular.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unis.finishedGrainSupervision.modular.entity.vo.DevInputDetailVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.DevInputPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.OrgInfoPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StatisticsOurOrInVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorageDailycheckDetailVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorageDailycheckPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorehousePageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.UnitPageVO;
import com.unis.finishedGrainSupervision.modular.param.DateCrkywCplcrkCountPageParam;
import com.unis.finishedGrainSupervision.modular.param.PgBasicReportInfoPageParam;

import java.util.List;
import java.util.Map;

/**
 * 应急保障-应急配送企业管理表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/06/01 11:37
 **/
public interface DataKcglKcswDefaultCountService{

    /**
     * 获取应急保障-应急配送企业管理表分页
     *
     * @author ZeroLiYi
     * @date  2024/06/01 11:37
     */
    IPage<Map<String,Object>> page(DateCrkywCplcrkCountPageParam dateCrkywCplcrkPageParam);


    List<Map<String,Object>> statisticsGrainGrade();

    List<Map<String,Object>> statisticsArea();

    List<Map<String,Object>> statisticsGrainVarietyName();

    List<StatisticsOurOrInVO> statisticsOurOrIn(Integer tjnf);

    List<Map<String, Object>> statisticsPlan();

    List<Map<String, Object>> statisticsGrainNature();

    List<Map<String, Object>> statisticsQualitye();


    /**
     *TS
     *获取成品粮企业信息分页
     * @param pgBasicReportInfoPageParam
     * @return
     */
    IPage<UnitPageVO> findUnitPage(PgBasicReportInfoPageParam pgBasicReportInfoPageParam);

    /**
     *获取成品粮粮库信息分页
     * @param pgBasicReportInfoPageParam
     * @return
     */
    IPage<OrgInfoPageVO> findOrgInfoPage(PgBasicReportInfoPageParam pgBasicReportInfoPageParam);

    /**
     * 获取成品粮仓房信息分页
     * @param pgBasicReportInfoPageParam
     * @return
     */
    IPage<StorehousePageVO> findStorehousePage(PgBasicReportInfoPageParam pgBasicReportInfoPageParam);

    /**
     *获取设备信息分页
     * @param pgBasicReportInfoPageParam
     * @return
     */
    IPage<DevInputPageVO> findDevInputPage(PgBasicReportInfoPageParam pgBasicReportInfoPageParam);

    /**
     * 获取设备信息详情
     * @param id
     * @return
     */
    DevInputDetailVO getDevInputDetail(String id);


    List<Map<String, Object>> statisticsTransaction();

    List<Map<String, Object>> statisticsIn();

    List<Map<String, Object>> statisticsStorageFacilities();


    /**
     * 获取日常检查信息分页
     * @param pgBasicReportInfoPageParam
     * @return
     */
    IPage<StorageDailycheckPageVO> finDailycheckPage(PgBasicReportInfoPageParam pgBasicReportInfoPageParam);

    /**
     * 获取日常检查信息详情
     * @param id
     * @return
     */
    StorageDailycheckDetailVO getDailycheckDetail(String id);

    List<Map<String, Object>> statisticsIntelligentEquipment();
}
